Go Down

Topic: Arduino wifi shield: different board revisions need different firmware/libraries (Read 360 times) previous topic - next topic

cantore

Hi, I have seen many posts about people having problems with the wifi shield. I want to share my experience with the community.
In the internet you can find many tutorials about upgrading wifi shield firmware. I suggest you to take a look at:
http://mssystems.emscom.net/helpdesk/knowledgebase.php?article=50
http://www.binarytaskforce.com/Weblog/2013/09/21/arduino-wifi-firmware-update/

The point is that not all the board are the same and need the same firmware/library, I have tested two boards. If you have more models and know how to make them work please report wich version of library and firmware must be used with.
You can find the version number on the back of the shield.

*** V023-Rev3.B ***
Upgrade the firmware with the files included in arduino ide 1.0.5 (version 1.1.0) and use the library in the same ide.

*** V023-Rev3.A ***
The right firmware for this version is the one included in the arduino ide 1.0.2. (version 1.0.0) You also have to use the library included in this IDE.
Please notice that if you want to succesfully run the "WiFiWebClient" example you have to comment this line
Code: [Select]
client.println("Connection: close"); The same thing is not necessary with Rev3.B.
If you use the new firmware and the new ide using the DHCP you will always obtain 0.0.0.0 as your Ip
If you use the old firmware with the new library you will receive a right IP from DHCP but after you cant communicate with a server.


If you can improve or correct this post you're welcome.


Go Up